Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1691173 - During HE deploy, rhvm-appliance installs even if ova file is presented
Summary: During HE deploy, rhvm-appliance installs even if ova file is presented
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-ansible-roles
Version: 4.3.0
Hardware: Unspecified
OS: Linux
medium
high
Target Milestone: ovirt-4.3.3
: 4.3.0
Assignee: Simone Tiraboschi
QA Contact: Nikolai Sednev
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-21 03:19 UTC by Marcus West
Modified: 2019-04-15 12:52 UTC (History)
4 users (show)

Fixed In Version: ovirt-ansible-hosted-engine-setup-1.0.14
Doc Type: Bug Fix
Doc Text:
This release ensures that during self-hosted engine deployments, downloading and installing the rhvm-appliance package does not occur if the corresponding OVA file is present.
Clone Of:
Environment:
Last Closed:
oVirt Team: Integration
Target Upstream Version:


Attachments (Terms of Use)
log from 'successful' install (deleted)
2019-03-21 03:49 UTC, Marcus West
no flags Details


Links
System ID Priority Status Summary Last Updated
Github oVirt ovirt-ansible-hosted-engine-setup pull 146 None None None 2019-03-21 09:30:06 UTC

Description Marcus West 2019-03-21 03:19:36 UTC
## Description of problem:

When trying to install HE 4.3 beta, I specify an ova file (presented via NFS).  The installer still try to install the rhvm-appliance anyway and fails.  If i register the hypervisor to the beta channel, it downloads rhvm-appliance anyway.


## Version-Release number of selected component (if applicable):

RHVH-4.3-20190226.0-RHVH-x86_64-dvd1.iso
ovirt-hosted-engine-setup-2.3.5-1.el7ev.noarch
ovirt-host-4.3.1-1.el7ev.x86_64


## How reproducible:

Always (once)

## Steps to Reproduce:

1. Install rhv-h
2. download rhevm-appliance-20170616.0-1.x86_64.rhevm.ova and present via NFS
3. run 'hosted-engine --deploy --config-append=ans.conf'
4. in ans.conf, have

     OVEHOSTED_VM/ovfArchive=str:/mnt/rhvm-appliance-4.3-20190220.2.el7.ova


## Actual results:

1. When hypervisor is not registered (or registered to GA channel), installation fails
2. When hypervisor is registered correctly, rhvm-appliance-4.3-20190220.2.el7.x86_64.rpm gets installed anyway

## Expected results:

I have already downloaded rhvm-appliance-4.3-20190220.2.el7.ova, so I don't want to download the rpm file again.

## Additional info:

Use case: for setting up multiple test environments, it's easier and faster to just have the ova file stored somewhere locally, rather than download the rpm each time, during install.  There may be other cases where RHV environment is deployed off-line, or want to deploy a specific (ova) version.

Comment 1 Marcus West 2019-03-21 03:42:18 UTC
Failed install: (no repo configured)

[ ovirt-hosted-engine-setup-ansible-initial_clean-20190320143525-2q9mtx.log ]

2019-03-20 14:35:26,523+1000 DEBUG var changed: host "localhost" var "he_appliance_ova" type "<type 'unicode'>" value: ""/mnt/rhvm-appliance-4.3-20190220.2.el7.ova""
2019-03-20 14:35:26,523+1000 DEBUG var changed: host "localhost" var "ansible_version" type "<type 'dict'>" value: "{
    "full": "2.7.8", 
    "major": 2, 
    "minor": 7, 
    "revision": 8, 
    "string": "2.7.8"
}"
...

[ ovirt-hosted-engine-setup-20190320143247-5o63kl.log ]

2019-03-20 14:33:38,549+1000 DEBUG otopi.plugins.otopi.dialog.human dialog.__logString:204 DIALOG:RECEIVE    /mnt/rhvm-appliance-4.3-20190220.2.el7.ova
2019-03-20 14:33:38,550+1000 INFO otopi.plugins.gr_he_common.vm.boot_disk boot_disk._check_ovf:239 Checking OVF archive content (could take a few minutes depending on archive size)
...
2019-03-20 14:35:57,026+1000 DEBUG otopi.ovirt_hosted_engine_setup.ansible_utils ansible_utils._process_output:103 {u'_ansible_parsed': True, u'_ansible_no_log': False, 
u'changed': False, u'results': [u"No package matching 'ovirt-engine-appliance' found available, installed or updated"], u'msg': u"No package matching 'ovirt-engine-appli
ance' found available, installed or updated", u'attempts': 10, u'rc': 126, u'invocation': {u'module_args': {u'update_cache': False, u'conf_file': None, u'exclude': [], u
'allow_downgrade': False, u'disable_gpg_check': False, u'disable_excludes': None, u'use_backend': u'auto', u'state': u'present', u'disablerepo': [], u'releasever': None,
 u'skip_broken': False, u'autoremove': False, u'enable_plugin': [], u'installroot': u'/', u'name': [u'ovirt-engine-appliance'], u'download_only': False, u'bugfix': False
, u'list': None, u'install_repoquery': True, u'update_only': False, u'disable_plugin': [], u'enablerepo': [], u'security': False, u'validate_certs': True}}}
2019-03-20 14:35:57,126+1000 ERROR otopi.ovirt_hosted_engine_setup.ansible_utils ansible_utils._process_output:107 fatal: [localhost]: FAILED! => {"attempts": 10, "changed": false, "msg": "No package matching 'ovirt-engine-appliance' found available, installed or updated", "rc": 126, "results": ["No package matching 'ovirt-engine-appliance' found available, installed or updated"]}
...
2019-03-20 14:35:57,228+1000 DEBUG otopi.context context._executeMethod:143 method exception
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/otopi/context.py", line 133, in _executeMethod
    method['method']()
  File "/usr/share/ovirt-hosted-engine-setup/scripts/../plugins/gr-he-ansiblesetup/core/misc.py", line 299, in _closeup
    self.initial_clean_up(bootstrap_vars, inventory_source)
  File "/usr/share/ovirt-hosted-engine-setup/scripts/../plugins/gr-he-ansiblesetup/core/misc.py", line 341, in initial_clean_up
    r = ah.run()
  File "/usr/lib/python2.7/site-packages/ovirt_hosted_engine_setup/ansible_utils.py", line 229, in run
    raise RuntimeError(_('Failed executing ansible-playbook'))
RuntimeError: Failed executing ansible-playbook
2019-03-20 14:35:57,229+1000 ERROR otopi.context context._executeMethod:152 Failed to execute stage 'Closing up': Failed executing ansible-playbook

Comment 4 Marcus West 2019-03-21 03:49:00 UTC
Created attachment 1546289 [details]
log from 'successful' install

Not that for this install, I did not want rhvm-appliance to be installed, I wanted the specified ova file to be used (/mnt/rhvm-appliance-4.3-20190220.2.el7.ova)

Comment 7 Nikolai Sednev 2019-04-02 16:36:19 UTC
Deployment over NFS on clean environment had succeeded using these components on hosts:
Works for me on these components:
ovirt-hosted-engine-setup-2.3.7-1.el7ev.noarch
ovirt-hosted-engine-ha-2.3.1-1.el7ev.noarch
rhvm-appliance-4.3-20190328.0.el7.x86_64.rhevm.ova 
ansible-2.7.9-1.el7ae.noarch
ovirt-ansible-hosted-engine-setup-1.0.14-1.el7ev.noarch
ovirt-ansible-engine-setup-1.1.9-1.el7ev.noarch
ovirt-ansible-repositories-1.1.5-1.el7ev.noarch

Linux 3.10.0-957.10.1.el7.x86_64 #1 SMP Thu Feb 7 07:12:53 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
Red Hat Enterprise Linux Server release 7.6 (Maipo)

Tested on RHEL hosts.

Prior to deployment I manually downloaded rhvm-appliance-4.3-20190328.0.el7.x86_64.rhevm.ova and used it during deployment.
Rpm appliance was not installed and OVA was used instead.

Moving to verified.


Note You need to log in before you can comment on or make changes to this bug.